Portal Info

🚀 Overview

Send Livble information about a tenant by their external ID. Below you can find more details about the endpoint, including the full API schema.

🔑 The Livble Token

This endpoint will return a token for the tenant. This token can be used to initialize the Livble Widget and Experience.

📖 For More Information

For a detailed guide on structuring the request payload, including explanations for specific fields and key considerations, 📖 Refer to this guide

🏁 Make Your First Request

To the right, you can try out the endpoint in Livble's sandbox API.

Follow the steps below to make your first request. ✨

1️⃣ Paste Your Sandbox API Key The API key should be pasted into the "CREDENTIALS" section. Also make sure the "Base URL" is set to Livble's sandbox API.

2️⃣ Select A Pre-Made Payload To make it as easy as possible to get started, we included pre-made payloads that work out of the box. The payload can be selected from the "EXAMPLES" dropdown.

3️⃣ Send The Request Click the "Try It!" button to make your first successful request! 🎉

🏖️ Notes for Sandbox

In Livble's sandbox API, Parts of the system may be mocked for a tenant upon the first /portal_info request made for their external_id.

📖 Refer to this guide for more details.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Body Params

Portal information for a specific tenant

string
required

The tenant's first name.

string
required

The tenant's last name.

string

The tenant's phone number.

string
required

The tenant's email address.

string
enum

User variant types.

Allowed:
date-time

Timestamp indicating when this information was last updated.
If not provided, defaults to the current time.

string
required

The ID of the tenant's current active lease.

This value must match one of the IDs in the leases list.

❗ Important Note ❗

  • The information Livble displays to the user will be based on this lease.
  • All user actions within Livble will apply to this lease.
  • Ensure you pass the tenant's current active lease ID.
leases
array of objects
required
length ≥ 1

Current, past and future leases of the tenant.

❗ The tenant's current active lease must be included.
Other leases may also be provided.

Leases*

Represents info about the tenant's lease

string
enum

What is the lease's status? Can be either "ACTIVE" or "INACTIVE"

Allowed:
string

The ID of the lease.

⚠️ This field is required for the default lease.

string

The ID of the unit associated with the lease.

string

The ID of the landlord or property manager.

date-time

The start date of the lease.

date-time

The end date of the lease.

address
object

The address of the unit associated with the lease.

⚠️ This field is required for the default lease.

rent_due_day
object

When is rent due every month?

  • If it's the same day every month → day_of_month = $DAY
  • If it's the last day of the month → alternative_structure = 'END_OF_MONTH'
  • Otherwise → alternative_structure = 'OTHER'

💡 Either day_of_month or alternative_structure can be passed, but not both.

integer

The base rent amount specified in the lease, in cents.

integer

If automatic payments are enabled for the lease, what is the monthly payment amount?

  • If automatic payments are enabled for a fixed amount each month → pass that amount
  • If automatic payments are enabled but the exact amount is unknown → pass 1
  • If automatic payments are not enabled → pass null
boolean

Can the tenant make partial payments for the lease?

  • Can payments be made for arbitrary amounts? → pass true
  • Otherwise → pass false
boolean

Can the tenant pay more than the open balance for the lease?

  • Can payments exceed the open balance? → pass true
  • Otherwise → pass false
boolean

Are online payments enabled for the lease?

📌 This field will determine if Livble can pay for the lease.

string
enum

What happens when the lease ends?

  • If it terminates → 'TERMINATION'
  • If it keeps renewing every month → 'RENEW_MONTH_TO_MONTH'
  • Not sure? → null
Allowed:
integer
required

The tenant's outstanding balance for the lease, in cents.
This is the default amount displayed to the tenant in your portal.

charges
array of objects
required

All past, current and future charges for the lease.

⚠️ Make sure to send all charges, including:

  • Future charges
  • Security deposit charges
  • Past charges (even if fully paid)
Charges*
historical_payments
array of objects
required

All historical payments made for the lease.

⚠️ Make sure to send all payments
Send all historical payments made by the tenant.
If the history is too long, send payments from the last 12 months.

💡 Offline payments should also be included
For example Cash/Check payments, etc.

Historical Payments*
metadata
object

Optional partner-provided metadata for settlement correlation. See https://docs.livble.com/docs/settlements for more information.

Responses

401

Unauthorized

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json